Downgrading 3DS fatal error 0001001 SOLVED

Discussion in '3DS - Flashcards & Custom Firmwares' started by grimreepah, Feb 22, 2015.

  1. grimreepah
    OP

    grimreepah Newbie

    Newcomer
    6
    5
    Feb 4, 2012
    Hey guys

    Just letting you know I managed to fix the problem I was having downgrading the console. The guys over at maxconsole suggested a few things, one of which worked.

    If you have a read up of the post I made on http://www.maxconsole.com/maxcon_forums/threads/287549-Downgrade-fatal-error-0001001

    Basically the error is occurring if you have not upgraded your 3DS OTA via wifi. I had only ever updated my console through game updates.

    All that was suggested was to download 3DNUS: https://gbatemp.net/threads/3dnus.376488/, download a later version of your 3DS firmware as cia titles. Then you install all of these titles to your sysnand.

    As I say, check out the post but: BE VERY CAREFUL I DO NOT SUGGEST DOING THIS WITHOUT A HARDMOD! You could brick your console.
     
  2. Samwix

    Samwix GBAtemp Advanced Fan

    Member
    657
    80
    Dec 25, 2014
    France
    Thank you for your solution!
    So you installed all these .cia on the SysNAND and this one's firmware has changed?
     
  3. tony_2018

    tony_2018 GBAtemp Psycho!

    Member
    3,106
    1,050
    Jan 3, 2014
    United States
    Here's to hoping the read through it. Good work btw.
     
  4. ground

    ground GBAtemp Advanced Fan

    Member
    909
    281
    Mar 22, 2007
    Netherlands
    good to read that you figured it out and that my program can be of anny use:)
     
  5. grimreepah
    OP

    grimreepah Newbie

    Newcomer
    6
    5
    Feb 4, 2012


    Wow, great program man. Didn't realise I'd get a response from you. Thankyou!
     
    ground likes this.
  6. grimreepah
    OP

    grimreepah Newbie

    Newcomer
    6
    5
    Feb 4, 2012

    I installed all the .cia for firmware 7.2.0-17e and yes, it changed from 7.2.0-4e. It didn't overwrite any of the titles, just added the ones that were missing from the online updates.
     
  7. nacimem

    nacimem Member

    Newcomer
    45
    6
    Feb 9, 2015
    France
    Good evening everyone,

    how to install cia files to update the firmware??
    I have no gateway ....
     
  8. Samwix

    Samwix GBAtemp Advanced Fan

    Member
    657
    80
    Dec 25, 2014
    France
    So you need it
     
  9. grimreepah
    OP

    grimreepah Newbie

    Newcomer
    6
    5
    Feb 4, 2012


    This is one of the reasons I didn't want to share the fix. Remember IT IS DANGEROUS TO WRITE TO YOUR sysNAND!!!

    Do not do it unless you are prepared for the worst! Research, research, research!
     
  10. Levi47

    Levi47 Newbie

    Newcomer
    2
    0
    Feb 13, 2015
    Canada
    I tried this after my downgrade failed. The DS is on 6.2.0-4U. I used 3DSNUS1.7 to download version 6.2.0-12 USA, then 7.2.0-17 USA and both have the cia's failing to install with an error that the cia is not valid. I am not 100% sure that i am installing the cia's to the sysNAND or EMUNAND. Could someone put together a proper tutorial on the exact steps you take? i tried doing what was said in the link but it is unclear how you load cias to sysnand and whether that could be the cause of the corrupt cia message. Is it possible to get just the browser cia to get past the error and allow a downgrade?



    Edit:
    I got this working. I think my problem was that i had enunand at 9.5 and on the system sd card. What i did was the following:
    Downloaded 7.2.0-17 U cias and put in a folder on a new, blank fat32 sd card with the launcher.dat and the downgrade file. on launch the DS added the system folder
    I put the BigBlueMenu.3ds on the red card in the GW
    booted GW using the web exploit
    did a sysnand backup
    launched GW mode
    ran the BBM.3ds, browsed to the 7X folder, did an install all
    I then reloaded GW with the web exploit and did the downgrade without issue.

    I initially did a safety test by doing the same thing on a fresh emunand from the 6.2.0-4 FW but i missed an issue that other people are seeing. If you upgrade past 6.3 this way you can not load your settings menu outside of GW mode. I would recommend trying to install the highest -X version released for your current firmware, so you have as few differences as possible. in my case i should have used 6.2.0-12. Ideally someone will figure out what the minimal set of CIAs needed to get the downgrade to work.
     
  11. mmmmbeer

    mmmmbeer Newbie

    Newcomer
    8
    0
    Dec 7, 2010
    Hi folks,

    I'm trying to do this method myself after my son's friend updated my son's 3ds firmware when he put his own game card in. I'm now on 7.2.0-8E. I have downloaded 7.2.0-17E and loaded all the cia's using big blue but it's only updating the emunand not the sysnand so when I go back into the GW menu to downgrade I still get the same error at the end of the process. How do I get it to upgrade the sysnand and not the emunand?
     
  12. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    Use an sd card without emunand on it.
     
  13. mmmmbeer

    mmmmbeer Newbie

    Newcomer
    8
    0
    Dec 7, 2010
    I can't get into GW mode without first having formatted emunand or use the sd card I already have with emunand on it. After I launch GW mde I just get a black screen.
     
  14. shallen320

    shallen320 Newbie

    Newcomer
    4
    1
    Jun 26, 2015
    United States

    Use emuNANDtool to extract Nand file and rename it to NAND.bin

    Copy NAND.bin to your SD card, along with gateway.dg

    restore NAND.bin to system NAND

    Start the downgrade
     
  15. Plasma Shadow

    Plasma Shadow GBAtemp's Artificial Lifeform

    Member
    1,556
    386
    May 15, 2009
    I have no fucking idea.
    That is an awful bloody idea if their emuNAND is above 9.2....
     
  16. shallen320

    shallen320 Newbie

    Newcomer
    4
    1
    Jun 26, 2015
    United States
    Hi guys,

    I had the same problem with 6.2-4U unable to downgrade. I have successfully installed cia files and upgrade to 7.2-17U, and I have successfully downgrade from 7.2 to 4.2. My method is much safer, I don't need a hard mod. The key is to install cia files using BigBlueMenu to emuNand not to sysNand and then use emuNandTool1.0.3 to extract the bin file. Later, use the extracted bin file to restore system to 7.2-17U. After that you shouldn't see any fatal errors again.

    Below is detailed walk though:

    1. create a emuNand using GW

    2. Load BigBlueMenu.3ds from GW red card

    3. install all the cia files using BigBlueMenu, this will install cia files to your emuNand, thus much safer.

    4. restart the system, go into GW mode, check system setting, make sure it is 7.2-17 and then turn off the system.

    5. Plug your SD card to a PC, use emuNANDTool_1.0.3 to extract the emuNand.bin and rename it to NAND.BIN, place it in the SD card root folder.(Place gateway.dg to your SD card too) I tried using higher version of emuNandTool and it created a wrong emuNand.bin file and it is not recognized by GW, thus I recommend 1.0.3 version, I assure you that version works. Check your emuNand.bin file size, it should be 976.896KB

    6. Insert back in the SD card to your 3DS. Use the browser to enter GW menu. Do a system restore. You need to hold UP button and press A to on downgrade option to start a system restore. This should restore your sysNand to 7.2 firmware.

    7. After restore is complete. Your system should be in 7.2. If you go to system settings and check the version, you will probably loop in the 3DS logo screen forever. Don't panic, it should be normal.

    8. Use the browser to go to GW menu, choose downgrade. Now you should no longer see the fatal error 0001001

    Gongrats, you are now in 4.X version!!

    This fatal error happens when you never do a wifi upgrade and only upgraded though a game cartridge . My though is game cartridge upgrade is incomplete, the version number after the '-' is lower. For example, if you upgrade though wifi to 6.2, it should be 6.2.0-12, not 6.2.0-4.

    Hope my post helps.
     
    thaikhoa likes this.
  17. Sam_SpadeR

    Sam_SpadeR GBAtemp Regular

    Member
    179
    39
    Jun 19, 2015
    Colombia
    Hello man, can I install de cias without the GW red card? I mean, it is safe to install it from the emuNAND big blue menu?

    I have a problem: I have this O3ds in 8.1.0 4U and I can install rxtools 2.6 and created an emuNAND on 9.9 with FBI on the H&S app and Big Blue Menu there. What I want to do is to could run MSET exploit well since the option Downgrading MSET in rxtools didnt work well. Can you help me?

    I really want to have my sysNAND in 4.x...

    It is safe to make this process in BBM from the emuNAND? Or, do you know some other way to install spider MSET exploit in 8.1?

    Thanks!
     
  18. Sam_SpadeR

    Sam_SpadeR GBAtemp Regular

    Member
    179
    39
    Jun 19, 2015
    Colombia
    BTW, I have a Ds flashcart and is working with the 3ds. It that helps?
     
  19. Ronhero

    Ronhero Too Weird to Live, Too Rare to Die

    Member
    3,037
    1,063
    Jun 28, 2014
    United States
    Arizona Bay
    I have a whole thread dedicated to this over at MC but it's down right now.

    Basically you need to make emunand off 8.1. Once you have that use 3dnus to update to 8.1.0-19, you only need to update the browser but a full update is recommended. Once done grab the firm 0/1 keys from system nand and inject them to emunand. Once done extract emunand and inject to system nand using the GW menu. Once done you will be on 8.1.0-19 and be able to downgrade to 4.x

    Edit: I didn't mean to say once done so many times, if you need help feel free to PM me for a instant message chat
     
    Sam_SpadeR likes this.
  20. Sam_SpadeR

    Sam_SpadeR GBAtemp Regular

    Member
    179
    39
    Jun 19, 2015
    Colombia
    So I need to format emuNAND again to have my emuNAND on the 8.1 again then use 3dnus to create a 8.1.0-19... How should I created 8.1.0-19 files? as cias? And where I can update all of it?

    After that I lost on your words, man. :(

    Could you please help telling me this step by step?

    I know the MC web is down right now. :(

    Please help me, man.